## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASADefaultWrapperImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASADefaultWrapperImpl

All Implemented Interfaces:
  SybaseASADefaultWrapper, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASADefaultWrapperImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SybaseASADefaultWrapper

An implementation of the model object 'Sybase ASA Default Wrapper'.

The following features are implemented:

- `Value`
- `Is Literal`
- `Partition Size`
- `Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASADefaultWrapper
`BINARY_TYPE_SYSTEM_DEFAULTS, DATE_TYPE_SYSTEM_DEFAULTS, GLOBAL_AUTOINCREMENT, NUMERIC_TYPE_SYSTEM_DEFAULTS, NUMERIC_TYPE_SYSTEM_DEFAULTS_NO_GLOBAL_AUTO, STRING_TYPE_SYSTEM_DEFAULTS, TIME_TYPE, TIME_TYPE_SYSTEM_DEFAULTS, TIMESTAMP_TYPE, TS_TYPE_SYSTEM_DEFAULTS`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASADefaultWrapperImpl(java.lang.String value, boolean isComputed)`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getPartitionSize()`
`java.lang.String` `getRawValue()`
`TypeOfDefault` `getType()`
`java.lang.String` `getValue()`
`boolean` `isIsLiteral()`
`boolean` `isSystemDefault()`
`void` `parse()` Parses the string value and assign to other database memebers accordingly
`void` `setIsLiteral(boolean newIsLiteral)`
`void` `setPartitionSize(int newPartitionSize)`
`void` `setType(TypeOfDefault newType)`
`void` `setValue(java.lang.String newValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASADefaultWrapperImpl

    public SybaseASADefaultWrapperImpl(java.lang.String value,
                                       boolean isComputed)

Method Detail

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `SybaseASADefaultWrapper`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `SybaseASADefaultWrapper.setValue(String)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `SybaseASADefaultWrapper`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `SybaseASADefaultWrapper.getValue()`

### isIsLiteral

    public boolean isIsLiteral()

  Specified by:
    `isIsLiteral` in interface `SybaseASADefaultWrapper`
  Returns:
    the value of the 'Is Literal' attribute.
  See Also:
    `SybaseASADefaultWrapper.setIsLiteral(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_IsLiteral()`

### setIsLiteral

    public void setIsLiteral(boolean newIsLiteral)

  Specified by:
    `setIsLiteral` in interface `SybaseASADefaultWrapper`
  Parameters:
    `newIsLiteral` - the new value of the 'Is Literal' attribute.
  See Also:
    `SybaseASADefaultWrapper.isIsLiteral()`

### getPartitionSize

    public int getPartitionSize()

  Specified by:
    `getPartitionSize` in interface `SybaseASADefaultWrapper`
  Returns:
    the value of the 'Partition Size' attribute.
  See Also:
    `SybaseASADefaultWrapper.setPartitionSize(int)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_PartitionSize()`

### setPartitionSize

    public void setPartitionSize(int newPartitionSize)

  Specified by:
    `setPartitionSize` in interface `SybaseASADefaultWrapper`
  Parameters:
    `newPartitionSize` - the new value of the 'Partition Size' attribute.
  See Also:
    `SybaseASADefaultWrapper.getPartitionSize()`

### getType

    public TypeOfDefault getType()

  Specified by:
    `getType` in interface `SybaseASADefaultWrapper`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASADefaultWrapper.setType(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper_Type()`

### setType

    public void setType(TypeOfDefault newType)

  Specified by:
    `setType` in interface `SybaseASADefaultWrapper`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASADefaultWrapper.getType()`

### parse

    public void parse()

  Parses the string value and assign to other database memebers accordingly

  Specified by:
    `parse` in interface `SybaseASADefaultWrapper`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isSystemDefault

    public boolean isSystemDefault()

  Specified by:
    `isSystemDefault` in interface `SybaseASADefaultWrapper`

### getRawValue

    public java.lang.String getRawValue()

  Specified by:
    `getRawValue` in interface `SybaseASADefaultWrapper`